import AddProject from "../../Components/AddProject";
import BackButton from "../../Components/BackButton";
import BasicWindow from "../../Components/BasicWindow";

/**
 * Renders a window for the admin to add a new project.
 * This window includes the AddProject component for adding a project,
 * as well as a BackButton component for navigation.
 * @returns {JSX.Element} The JSX element representing the admin add project window.
 */
function AdminAddProject(): JSX.Element {
  const content = <AddProject />;

  const buttons = (
    <>
      <BackButton />
    </>
  );

  return <BasicWindow content={content} buttons={buttons} />;
}
export default AdminAddProject;
