import BackButton from "../../Components/BackButton";
import BasicWindow from "../../Components/BasicWindow";
import Register from "../../Components/Register";

/**
 * Renders a window for the admin to add a new user.
 * This window includes the Register component for user registration,
 * as well as a BackButton component for navigation.
 * @returns {JSX.Element} The JSX element representing the admin add user window.
 */
function AdminAddUser(): JSX.Element {
  const content = (
    <>
      <Register />
    </>
  );

  const buttons = (
    <>
      <BackButton />
    </>
  );

  return <BasicWindow content={content} buttons={buttons} />;
}
export default AdminAddUser;
