import BackButton from "../../Components/BackButton";
import BasicWindow from "../../Components/BasicWindow";
import Button from "../../Components/Button";
import ChangeUsername from "../../Components/ChangeUsername";

/**
 * Renders an admin interface for changing a user's username.
 * Allows the admin to change the username and navigate back.
 * @returns JSX.Element representing the admin interface for changing username.
 */
function AdminChangeUsername(): JSX.Element {
  const content = (
    <>
      <ChangeUsername />
    </>
  );

  const buttons = (
    <>
      <Button
        text="Finish"
        onClick={(): void => {
          return;
        }}
        type="button"
      />
      <BackButton />
    </>
  );

  return <BasicWindow content={content} buttons={buttons} />;
}
export default AdminChangeUsername;
