import BasicWindow from "../../Components/BasicWindow";
import BackButton from "../../Components/BackButton";
import EditWeeklyReport from "../../Components/EditWeeklyReport";

/**
 * Renders the page for the user to edit a time report.
 * @returns JSX.Element representing the page for the user to edit a time report.
 */
function UserEditTimeReportPage(): JSX.Element {
  const content = (
    <>
      <h1 className="font-bold text-[30px] mb-[20px]">Edit Time Report</h1>
      <EditWeeklyReport />
    </>
  );

  const buttons = (
    <>
      <BackButton />
    </>
  );

  return <BasicWindow content={content} buttons={buttons} />;
}
export default UserEditTimeReportPage;
