import BasicWindow from "../../Components/BasicWindow";
import BackButton from "../../Components/BackButton";
import UserProjectMenu from "../../Components/UserProjectMenu";

/**
 * Renders a page for the user to interact with project-related menu options.
 * Includes options for viewing project information, managing activities, etc.
 * @returns {JSX.Element} The JSX element representing the user project page.
 */
function UserProjectPage(): JSX.Element {
  const content = (
    <>
      <UserProjectMenu />
    </>
  );

  const buttons = (
    <>
      <BackButton />
    </>
  );

  return <BasicWindow content={content} buttons={buttons} />;
}
export default UserProjectPage;
