import BasicWindow from "../../Components/BasicWindow";
import BackButton from "../../Components/BackButton";
import { useParams } from "react-router-dom";
import AllTimeReportsInProject from "../../Components/AllTimeReportsInProject";

/**
 * Renders a page for the user to view all time reports related to a specific project.
 * @returns {JSX.Element} The JSX element representing the user view time reports page.
 */
function UserViewTimeReportsPage(): JSX.Element {
  const { projectName } = useParams();

  const content = (
    <>
      <h1 className="font-bold text-[30px] mb-[20px]">
        Your Time Reports In: {projectName}
      </h1>
      <AllTimeReportsInProject />
    </>
  );

  const buttons = (
    <>
      <BackButton />
    </>
  );

  return <BasicWindow content={content} buttons={buttons} />;
}
export default UserViewTimeReportsPage;
